[ic] RHEL3.0/Interchange5.0 Build Question

Ron Phipps rphipps at reliant-solutions.com
Fri Mar 12 13:01:00 EST 2004

On Fri, 12 Mar 2004 10:33:28 -0600 (CST) "Steve Lush" 
<stevelush at sportsmansweb.com> wrote:
>First post. Hope I do this right.
>I need to get Interchange 5.0 running on a RHEL 3.0 box. I understand that
>I cannot use the RPM version of Interchange due to problems with CPAN
>dependancies, etc.. I am assuming that I need to build Interchange from
>src tarball.
>Plan of attack:
>Download SRPM of perl 5.8.0; build non-thread version.
>rpm -e --nodeps of threaded perl that comes with RHEL3.0
>rpm -i --nodeps of non-threaded perl built from SRPM
>Download src tarball and install
>Are there any gotchas out there that I need to address before proceeding
>(i.e. any perl modules that I need to rebuild to work properly with
>non-threaded perl ... like mod_perl that comes stock)?
>Thanks in advance for any suggestions.

I would recommend that you leave the threaded perl alone since there may be 
things on the system that depend on the threaded perl.

If you search the ic site for "perl interchange faq" you will get a 
document that explains how to install a local perl that only the ic user 
will use.  The directions are almost exactly the same for Perl 5.8.3, 
accept when you install the cpan module use "Bundle::Interchange5".  You 
should then have a local non threaded perl that works with IC and all it's 

Good luck!

More information about the interchange-users mailing list